


package sampleapp.hawk;

import org.hawk.module.IModule;
import org.hawk.module.annotation.SubTask;
import org.hawk.module.script.type.DoubleDataType;
import org.hawk.module.script.type.Variable;
import sampleapp.Odd;

/**
 *
 * @version 1.0 3 Jul, 2010
 * @author msahu
 */
public class OddModule implements IModule{

    public boolean startUp() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public String getName() {
        return "OddModule";
    }

    @SubTask(name="CheckOdd",sequence = 1,ignoreException=false)
    public boolean checkOdd(Object [] arg) throws Exception{

        DoubleDataType data = (DoubleDataType)((Variable)arg[0]).getVariableValue();
        double number =data.getData();
        Odd p = new Odd(number);
        return p.isOdd();
    }
    public boolean reset() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}




