

package sampleapp.hawk;

import org.hawk.module.IModule;
import org.hawk.module.annotation.SubTask;
import org.hawk.module.script.type.DoubleDataType;
import org.hawk.module.script.type.Variable;
import sampleapp.Prime;

/**
 *
 * @version 1.0 3 Jul, 2010
 * @author msahu
 */
public class PrimeModule implements IModule{

    public boolean startUp() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public String getName() {
        return "PrimeModule";
    }

    @SubTask(name="CheckPrime",sequence = 1,ignoreException=false)
    public boolean checkPrime(Object [] arg) throws Exception{

        double number = ((DoubleDataType)((Variable)arg[0]).getVariableValue()).getData();
        Prime p = new Prime(number);
        return p.isPrime();
    }

    public boolean reset() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}




