

package org.hawk.module.script.type;

import org.hawk.exception.HawkException;

/**
 *
 * @version 1.0 20 Jul, 2010
 * @author msahu
 */
public class BooleanDataType implements IDataType{

    private boolean data;
    public BooleanDataType(boolean data){
        this.data = data;
    }

    public boolean isData() {
        return data;
    }

    public void setData(boolean data) {
        this.data = data;
    }
    @Override
    public String toString(){
        return (this.data ?1:0)+"";
    }
    
    public IDataType add(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public DoubleDataType subtract(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public DoubleDataType multiply(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public DoubleDataType divide(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }


    public IDataType copy() throws HawkException {
        IDataType clonedCopy = new BooleanDataType(this.data);
        return clonedCopy;
    }

    public BooleanDataType equalTo(IDataType dataType) throws HawkException {
        if(dataType == null || !(dataType instanceof BooleanDataType)){
            throw new HawkException("invalid datatype");
        }
        BooleanDataType thatDateType = (BooleanDataType)dataType;
        return new BooleanDataType(this.isData() == thatDateType.isData());
    }

    public BooleanDataType greaterThan(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public BooleanDataType lessThan(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public BooleanDataType greaterThanEqualTo(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public BooleanDataType lessThanEqualTo(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public BooleanDataType and(IDataType dataType) throws HawkException {
        if(dataType == null || !(dataType instanceof BooleanDataType)){
            throw new HawkException("invalid datatype");
        }
        BooleanDataType thatDateType = (BooleanDataType)dataType;
        return new BooleanDataType(this.isData() && thatDateType.isData());
    }

    public BooleanDataType or(IDataType dataType) throws HawkException {
        if(dataType == null || !(dataType instanceof BooleanDataType)){
            throw new HawkException("invalid datatype");
        }
        BooleanDataType thatDateType = (BooleanDataType)dataType;
        return new BooleanDataType(this.isData() || thatDateType.isData());
    }

    public DoubleDataType modulus(IDataType dataType) throws HawkException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

   

}




