

package sampleapp.hawk;

import org.hawk.module.IModule;
import org.hawk.module.annotation.SubTask;
import org.hawk.module.script.type.DoubleDataType;
import org.hawk.module.script.type.Variable;
import sampleapp.Even;

/**
 *
 * @version 1.0 3 Jul, 2010
 * @author msahu
 */
public class EvenModule implements IModule{

    public boolean startUp() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public String getName() {
        return "EvenModule";
    }

    @SubTask(name="CheckEven",sequence = 1,ignoreException=false)
    public boolean checkEven(Object []arg) throws Exception{

        DoubleDataType data = (DoubleDataType)((Variable)arg[0]).getVariableValue();
        double number = data.getData();
        Even p = new Even(number);
        return p.isEven();
    }

    public boolean reset() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}




