/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.hawk.logger;

import java.util.logging.Level;
import java.util.logging.Logger;


/**
 *
 * @author msahu
 */
public class HawkLogger{

    private Logger logger ;

    public Logger getLogger() {
        return logger;
    }

    public void setLogger(Logger logger) {
        this.logger = logger;
    }
    
   
    public static  HawkLogger getLogger(String name) {

        HawkLogger hawkLogger = new HawkLogger();
        hawkLogger.setLogger(Logger.getLogger(name));
        return hawkLogger;
    }


    
    public void info(String msg) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        logger.info(sb.toString());
    }

    
    public void log(Level level, String msg) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.log(level, sb.toString());
    }

    
    public void log(Level level, String msg, Object param1) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.log(level, sb.toString(), param1);
    }

    
    public void log(Level level, String msg, Object[] params) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.log(level, sb.toString(), params);
    }

    
    public void log(Level level, String msg, Throwable thrown) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.log(level, sb.toString(), thrown);
    }

    
    public void severe(String msg) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.severe(sb.toString());
    }

    
    public void warning(String msg) {
        StringBuilder sb = new StringBuilder();
        sb.append("Thread {"+Thread.currentThread().getName()+"} "+msg);
        
        logger.warning(sb.toString());
    }
   
    
}
